Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031417
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformtrivialalways2015-11-10 14:112015-12-01 14:40
ReportermigueldejuanaView Statuspublic 
Assigned Tomigueldejuana 
PrioritynormalResolutionfixedFixed in Version3.0PR16Q1
StatusclosedFix in branchFixed in SCM revision5d23d46f8bdc
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomtaal
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0031417: Add some methods to LoginUtils to be accessible from other clasess

DescriptionMove readNumberFormat and saveLoginBD to LoginUtils to be accesible from other classes.

Add getDefaultLanguage and isDefaultRtl to LoginUtils.
Steps To ReproduceSee Description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0031384RR16Q1 closedmigueldejuana Retail Modules Multi-server: when a user has a different default org in different servers a context changed message is shown 

-  Notes
(0081657)
hgbot (developer)
2015-11-10 15:27

Repository: erp/devel/pi
Changeset: 3a55fee4da9ba5d8910b2e6d9449adf2f4672813
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Tue Nov 10 15:26:40 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/3a55fee4da9ba5d8910b2e6d9449adf2f4672813 [^]

Fixed issue 31417: Add some methods to LoginUtils to be accessible from other clasess

- Move readNumberFormat and saveLoginBD to LoginUtils to be accesible from other classes.

- Add getDefaultLanguage and isDefaultRtl to LoginUtils.

---
M src/org/openbravo/base/secureApp/HttpSecureAppServlet.java
M src/org/openbravo/base/secureApp/LoginUtils.java
---
(0081852)
mtaal (developer)
2015-11-14 18:34

Reviewed
(0082091)
hgbot (developer)
2015-11-23 13:41

Repository: erp/devel/pi
Changeset: 5d23d46f8bdc03ffbfeb45d2096d85e040c8bd12
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Mon Nov 23 13:40:58 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/5d23d46f8bdc03ffbfeb45d2096d85e040c8bd12 [^]

Fixed issue 31417: Add some methods to LoginUtils to be accessible from other clasess

- Add getDefaultWarehouse for a given org to LoginUtils

---
M src/org/openbravo/base/secureApp/LoginUtils.java
---
(0082194)
hudsonbot (developer)
2015-11-23 21:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b56bebaaa88 [^]
Maturity status: Test
(0082272)
hudsonbot (developer)
2015-11-23 21:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b56bebaaa88 [^]
Maturity status: Test
(0082472)
hgbot (developer)
2015-12-01 08:51

Repository: erp/devel/pi
Changeset: 5c4ebeb85b4e5edebe2f8145c14cd423a7734489
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Tue Dec 01 08:51:17 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/5c4ebeb85b4e5edebe2f8145c14cd423a7734489 [^]

Related to issue 31417: Add some methods to LoginUtils to be accessible from other clasess
Added brackets in else for better code structuring

---
M src/org/openbravo/base/secureApp/LoginUtils.java
---
(0082473)
mtaal (developer)
2015-12-01 08:52

Reviewed
(0082493)
hudsonbot (developer)
2015-12-01 14:40

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2f736b61551 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-11-10 14:11 migueldejuana New Issue
2015-11-10 14:11 migueldejuana Assigned To => migueldejuana
2015-11-10 14:11 migueldejuana Modules => Core
2015-11-10 14:11 migueldejuana Triggers an Emergency Pack => No
2015-11-10 14:11 migueldejuana Review Assigned To => mtaal
2015-11-10 15:27 hgbot Checkin
2015-11-10 15:27 hgbot Note Added: 0081657
2015-11-10 15:27 hgbot Status new => resolved
2015-11-10 15:27 hgbot Resolution open => fixed
2015-11-10 15:27 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3a55fee4da9ba5d8910b2e6d9449adf2f4672813 [^]
2015-11-10 15:28 migueldejuana Relationship added related to 0031384
2015-11-14 18:34 mtaal Note Added: 0081852
2015-11-14 18:34 mtaal Status resolved => closed
2015-11-14 18:34 mtaal Fixed in Version => 3.0PR16Q1
2015-11-23 13:41 hgbot Checkin
2015-11-23 13:41 hgbot Note Added: 0082091
2015-11-23 13:41 hgbot Status closed => resolved
2015-11-23 13:41 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/3a55fee4da9ba5d8910b2e6d9449adf2f4672813 [^] => http://code.openbravo.com/erp/devel/pi/rev/5d23d46f8bdc03ffbfeb45d2096d85e040c8bd12 [^]
2015-11-23 21:17 hudsonbot Checkin
2015-11-23 21:17 hudsonbot Note Added: 0082194
2015-11-23 21:17 hudsonbot Checkin
2015-11-23 21:17 hudsonbot Note Added: 0082272
2015-12-01 08:51 hgbot Checkin
2015-12-01 08:51 hgbot Note Added: 0082472
2015-12-01 08:52 mtaal Note Added: 0082473
2015-12-01 08:52 mtaal Status resolved => closed
2015-12-01 14:40 hudsonbot Checkin
2015-12-01 14:40 hudsonbot Note Added: 0082493


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker